#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configurationdlgbase.ui'
**
** Created: Fri May 26 19:55:08 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configurationdlgbase.h"

#include <qvariant.h>
#include <qdialog.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qstring.h>
#include <qpixmap.h>
#include <keditlistbox.h>
#include <kurlrequester.h>
#include <knuminput.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <profilemanager.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a ConfigurationDlgBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ConfigurationDlgBase::ConfigurationDlgBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConfigurationDlgBase" );

    dataGroupBox = new QGroupBox( this, "dataGroupBox" );
    dataGroupBox->setGeometry( QRect( 267, 7, 360, 180 ) );

    QWidget* privateLayoutWidget = new QWidget( dataGroupBox, "Layout16" );
    privateLayoutWidget->setGeometry( QRect( 10, 20, 343, 150 ) );
    Layout16 = new QVBoxLayout( privateLayoutWidget, 0, 6, "Layout16"); 

    Layout15 = new QHBoxLayout( 0, 0, 6, "Layout15"); 

    Layout14 = new QVBoxLayout( 0, 0, 6, "Layout14"); 

    sourceTextLabel = new QLabel( privateLayoutWidget, "sourceTextLabel" );
    Layout14->addWidget( sourceTextLabel );

    archiveTextLabel = new QLabel( privateLayoutWidget, "archiveTextLabel" );
    Layout14->addWidget( archiveTextLabel );
    Layout15->addLayout( Layout14 );

    Layout25 = new QVBoxLayout( 0, 0, 6, "Layout25"); 

    sourceKURLRequester = new KURLRequester( privateLayoutWidget, "sourceKURLRequester" );
    Layout25->addWidget( sourceKURLRequester );

    archiveKURLRequester = new KURLRequester( privateLayoutWidget, "archiveKURLRequester" );
    Layout25->addWidget( archiveKURLRequester );
    Layout15->addLayout( Layout25 );
    Layout16->addLayout( Layout15 );

    Layout11 = new QHBoxLayout( 0, 0, 6, "Layout11"); 

    timeTextLabel = new QLabel( privateLayoutWidget, "timeTextLabel" );
    Layout11->addWidget( timeTextLabel );

    intervalKIntNumInput = new KIntNumInput( privateLayoutWidget, "intervalKIntNumInput" );
    intervalKIntNumInput->setValue( 1 );
    Layout11->addWidget( intervalKIntNumInput );

    measureKComboBox = new KComboBox( FALSE, privateLayoutWidget, "measureKComboBox" );
    Layout11->addWidget( measureKComboBox );
    Layout16->addLayout( Layout11 );

    activRadioButton = new QRadioButton( privateLayoutWidget, "activRadioButton" );
    Layout16->addWidget( activRadioButton );

    actionGroupBox_ = new QGroupBox( this, "actionGroupBox_" );
    actionGroupBox_->setGeometry( QRect( 267, 193, 360, 60 ) );

    QWidget* privateLayoutWidget_2 = new QWidget( actionGroupBox_, "Layout8" );
    privateLayoutWidget_2->setGeometry( QRect( 10, 20, 335, 31 ) );
    Layout8 = new QHBoxLayout( privateLayoutWidget_2, 0, 6, "Layout8"); 

    restoreKPushButton = new KPushButton( privateLayoutWidget_2, "restoreKPushButton" );
    Layout8->addWidget( restoreKPushButton );

    saveKPushButton = new KPushButton( privateLayoutWidget_2, "saveKPushButton" );
    Layout8->addWidget( saveKPushButton );

    quitKPushButton = new KPushButton( privateLayoutWidget_2, "quitKPushButton" );
    Layout8->addWidget( quitKPushButton );

    aboutKPushButton = new KPushButton( privateLayoutWidget_2, "aboutKPushButton" );
    Layout8->addWidget( aboutKPushButton );

    configKEditListBox = new KEditListBox( this, "configKEditListBox" );
    configKEditListBox->setGeometry( QRect( 10, 7, 249, 246 ) );
    languageChange();
    resize( QSize(639, 261).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigurationDlgBase::~ConfigurationDlgBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigurationDlgBase::languageChange()
{
    setCaption( tr2i18n( "Konserve: Preferences" ) );
    dataGroupBox->setTitle( tr2i18n( "Data" ) );
    sourceTextLabel->setText( tr2i18n( "Source url:" ) );
    archiveTextLabel->setText( tr2i18n( "Backup url:" ) );
    QToolTip::add( sourceKURLRequester, tr2i18n( "Enter the file or directory to backup." ) );
    QToolTip::add( archiveKURLRequester, tr2i18n( "Enter where to save the backup." ) );
    timeTextLabel->setText( tr2i18n( "Backup every:" ) );
    QToolTip::add( intervalKIntNumInput, tr2i18n( "Enter the time between two backups" ) );
    measureKComboBox->clear();
    measureKComboBox->insertItem( tr2i18n( "sec" ) );
    measureKComboBox->insertItem( tr2i18n( "min" ) );
    measureKComboBox->insertItem( tr2i18n( "hour" ) );
    measureKComboBox->insertItem( tr2i18n( "day" ) );
    measureKComboBox->setCurrentItem( 3 );
    QToolTip::add( measureKComboBox, tr2i18n( "Enter the time between two backups" ) );
    activRadioButton->setText( tr2i18n( "Backup Profile is active" ) );
    QToolTip::add( activRadioButton, tr2i18n( "If checked, periodical backups will be made." ) );
    actionGroupBox_->setTitle( tr2i18n( "Actions" ) );
    restoreKPushButton->setText( tr2i18n( "R&estore" ) );
    QToolTip::add( restoreKPushButton, tr2i18n( "This button will restore the source from a backup." ) );
    saveKPushButton->setText( tr2i18n( "Appl&y" ) );
    QToolTip::add( saveKPushButton, tr2i18n( "Click this to save the values for the selected backup profile." ) );
    quitKPushButton->setText( tr2i18n( "&Close" ) );
    QToolTip::add( quitKPushButton, tr2i18n( "Click this button to close this window." ) );
    aboutKPushButton->setText( tr2i18n( "Ab&out" ) );
    QToolTip::add( aboutKPushButton, tr2i18n( "This button will show information about this application." ) );
    configKEditListBox->setTitle( tr2i18n( "Backup profile identifier" ) );
    QToolTip::add( configKEditListBox, tr2i18n( "Enter a name for every backup you want to make. Then edit the values on the right side" ) );
}

#include "configurationdlgbase.moc"
